Bug 70263 - man ignores /etc/man.config settings if MANPATH set
Summary: man ignores /etc/man.config settings if MANPATH set
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-31 11:45 UTC by ronny.lampert
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 20:15:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ronny.lampert 2002-07-31 11:45:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
man ignores /etc/man.config settings if MANPATH set; it really should append
MANPATH-directories to the base-config (NOTE: In manpage to man this is
documented, that ONLY MANPATH is used!).

Version-Release number of selected component (if applicable):
until recent RH 7.3 packaged

How reproducible:
Always

Steps to Reproduce:
1.setenv MANPATH "/some/thing/weird" (export MANPATH=/some/thing/weird)
2.man ls
3.man -D ls
	

Actual Results:
eedrla@eedn760l: ~ [19]> setenv MANPATH /pkg/ars/man
eedrla@eedn760l: ~ [20]> man ls
No manual entry for ls
eedrla@eedn760l: ~ [21]> man -D ls
Reading config file /etc/man.config
found man directory /usr/share/man
found man directory /usr/X11R6/man
found man directory /usr/local/man
found man directory /usr/kerberos/man
found man directory /usr/lib/perl5/man
found man directory /usr/man
found manpath map /bin --> /usr/share/man
found manpath map /sbin --> /usr/share/man
found manpath map /usr/bin --> /usr/share/man
found manpath map /usr/sbin --> /usr/share/man
found manpath map /usr/local/bin --> /usr/local/man
found manpath map /usr/local/sbin --> /usr/local/man
found manpath map /usr/X11R6/bin --> /usr/X11R6/man
found manpath map /usr/bin/X11 --> /usr/X11R6/man
found manpath map /usr/bin/mh --> /usr/share/man
found manpath map /usr/kerberos/bin --> /usr/kerberos/man
found manpath map /usr/kerberos/sbin --> /usr/kerberos/man

using less as pager
adding /pkg/ars/man to manpath
No manual entry for ls

But it actually does NOT >add< the path, but uses it soleley.

Expected Results:
It should still search the in /etc/man.config set paths and find the page for ls.

Additional info:

This is very contra-productive in a mixed environment and is also not compliant
with the Unix paradigm: User Environment = basic sytem environment + custom settings

Comment 1 Eido Inoue 2003-01-08 20:15:22 UTC
normally environmental variables override preset defaults-- they do not append
to them. if you have a mixed system setup and are constantly having to add
things to the MANPATH it would be better to add to man.config than reset the env
vars.


Note You need to log in before you can comment on or make changes to this bug.